@charset "utf-8";
@import '../../_variables.sass';

.map {
  max-height: 100%;
  width: auto;

  > .ol-viewport > canvas {
    width: initial !important;
    max-width: 100%;
    height: initial !important;
    max-height: 100%;

    @media print {
      position: absolute;
      top: 50%;
      transform: translateY(-50%);
    }
  }
}

.legend_container {
  position: absolute;
  bottom: 0;
  .map-legend-label {
    font-weight: $weight-medium;
    font-size: $size-7;
    fill: $grey-dark;
  }
}

.ol-control {
  left: 0;
  padding: 0;
  background-color: transparent;
  border-radius: 0;
}

.ol-control button {
  background-color: $button-bg;
  &:focus {
    background-color: $button-bg;
  }
  &:hover,
  &:active {
    cursor: pointer;
    background-color: $button-hover;
  }
}
